package com.xinelu.manage.service.projectgroup;

import com.xinelu.manage.domain.projectgroup.ProjectGroup;
import com.xinelu.manage.dto.projectgroup.ProjectGroupSaveListDto;
import java.util.List;


/**
 * 检测项目分组Service接口
 *
 * @author haown
 * @date 2024-03-11
 */
public interface IProjectGroupService {
    /**
     * 查询检测项目分组
     *
     * @param id 检测项目分组主键
     * @return 检测项目分组
     */
    public ProjectGroup selectProjectGroupById(Long id);

    /**
     * 查询检测项目分组列表
     *
     * @param projectGroup 检测项目分组
     * @return 检测项目分组集合
     */
    public List<ProjectGroup> selectProjectGroupList(ProjectGroup projectGroup);

    /**
     * 新增检测项目分组
     *
     * @param projectGroup 检测项目分组
     * @return 结果
     */
    public int insertProjectGroup(ProjectGroup projectGroup);

	int insertList(ProjectGroupSaveListDto saveDto);

    /**
     * 修改检测项目分组
     *
     * @param projectGroup 检测项目分组
     * @return 结果
     */
    public int updateProjectGroup(ProjectGroup projectGroup);

    /**
     * 批量删除检测项目分组
     *
     * @param ids 需要删除的检测项目分组主键集合
     * @return 结果
     */
    public int deleteProjectGroupByIds(Long[] ids);

    /**
     * 删除检测项目分组信息
     *
     * @param id 检测项目分组主键
     * @return 结果
     */
    public int deleteProjectGroupById(Long id);
}
